package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 信息评论对象 info_pinglun
 * 
 * @author boman
 * @date 2023-11-28
 */
public class InfoPinglun extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 信息评论id */
    private Long infoPinglunId;

    /** 附件id */
    @Excel(name = "附件id")
    private Long annexId;

    /** 信息评论父id */
    @Excel(name = "信息评论父id")
    private Long infoPingLunParent;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String infoPingLunContent;

    /** 评论人id */
    @Excel(name = "评论人id")
    private Long infoPingLunUserId;

    /** 评论人名称 */
    @Excel(name = "评论人名称")
    private String infoPingLunUserName;

    /** 被评论人id */
    @Excel(name = "被评论人id")
    private Long infoPingLunQuiltUserId;

    /** 被评论人名称 */
    @Excel(name = "被评论人名称")
    private String infoPingLunQuiltUserName;

    /** 评论时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评论时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pingLunTime;

    /** 评论类型 1:评论 2:回复 */
    @Excel(name = "评论类型 1:评论 2:回复")
    private String infoPingLunType;

    /** 是否通过 N:未通过 Y:通过 */
    @Excel(name = "是否通过 N:未通过 Y:通过")
    private String infoPingLunExamine;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    /**
     * 对此评论的回复集合
     */

    private List<InfoPinglun> infoPingLunList;

    public List<InfoPinglun> getInfoPingLunList() {
        return infoPingLunList;
    }

    public void setInfoPingLunList(List<InfoPinglun> infoPingLunList) {
        this.infoPingLunList = infoPingLunList;
    }

    public void setInfoPinglunId(Long infoPinglunId)
    {
        this.infoPinglunId = infoPinglunId;
    }

    public Long getInfoPinglunId() 
    {
        return infoPinglunId;
    }
    public void setAnnexId(Long annexId) 
    {
        this.annexId = annexId;
    }

    public Long getAnnexId() 
    {
        return annexId;
    }
    public void setInfoPingLunParent(Long infoPingLunParent) 
    {
        this.infoPingLunParent = infoPingLunParent;
    }

    public Long getInfoPingLunParent() 
    {
        return infoPingLunParent;
    }
    public void setInfoPingLunContent(String infoPingLunContent) 
    {
        this.infoPingLunContent = infoPingLunContent;
    }

    public String getInfoPingLunContent() 
    {
        return infoPingLunContent;
    }
    public void setInfoPingLunUserId(Long infoPingLunUserId) 
    {
        this.infoPingLunUserId = infoPingLunUserId;
    }

    public Long getInfoPingLunUserId() 
    {
        return infoPingLunUserId;
    }
    public void setInfoPingLunUserName(String infoPingLunUserName) 
    {
        this.infoPingLunUserName = infoPingLunUserName;
    }

    public String getInfoPingLunUserName() 
    {
        return infoPingLunUserName;
    }
    public void setInfoPingLunQuiltUserId(Long infoPingLunQuiltUserId) 
    {
        this.infoPingLunQuiltUserId = infoPingLunQuiltUserId;
    }

    public Long getInfoPingLunQuiltUserId() 
    {
        return infoPingLunQuiltUserId;
    }
    public void setInfoPingLunQuiltUserName(String infoPingLunQuiltUserName) 
    {
        this.infoPingLunQuiltUserName = infoPingLunQuiltUserName;
    }

    public String getInfoPingLunQuiltUserName() 
    {
        return infoPingLunQuiltUserName;
    }
    public void setPingLunTime(Date pingLunTime) 
    {
        this.pingLunTime = pingLunTime;
    }

    public Date getPingLunTime() 
    {
        return pingLunTime;
    }
    public void setInfoPingLunType(String infoPingLunType) 
    {
        this.infoPingLunType = infoPingLunType;
    }

    public String getInfoPingLunType() 
    {
        return infoPingLunType;
    }
    public void setInfoPingLunExamine(String infoPingLunExamine) 
    {
        this.infoPingLunExamine = infoPingLunExamine;
    }

    public String getInfoPingLunExamine() 
    {
        return infoPingLunExamine;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("infoPinglunId", getInfoPinglunId())
            .append("annexId", getAnnexId())
            .append("infoPingLunParent", getInfoPingLunParent())
            .append("infoPingLunContent", getInfoPingLunContent())
            .append("infoPingLunUserId", getInfoPingLunUserId())
            .append("infoPingLunUserName", getInfoPingLunUserName())
            .append("infoPingLunQuiltUserId", getInfoPingLunQuiltUserId())
            .append("infoPingLunQuiltUserName", getInfoPingLunQuiltUserName())
            .append("pingLunTime", getPingLunTime())
            .append("infoPingLunType", getInfoPingLunType())
            .append("infoPingLunExamine", getInfoPingLunExamine())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
